Subject: Re: [conex] My notes on abstract audit

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 4 Jun 2013 20:14:13 +0200

Hi Matt,

I know you've been sending this mail a long time ago but I had another look at 
it just now. And I realized that you took another assumption on the meaning 
of credits at the audit that I'm currently doing in the in TCP mod draft.

In your notes you assume that the credit counter will be reduced in the audit 
whenever the balance is negative and a new congestion mark arrives.

My assumption was so far, that the credits you send sit forever in the audit 
(expect route changes or other state resets).

I believe this is nowhere clearly specified and we need to find a solution 
here.

Anyway, both proposal for the sender algorithm (when to send credit) cannot 
handle the case when the state gets actually reset at the audit and thus will 
cause the audit to (wrongly) penalize a connection in this case.

Mirja

On Thursday 02 August 2012 18:59:12 Matt Mathis wrote:
> The URL below points to a document (in Google docs) that describes a
> framework for exploring the audit design space.   The intent is to get
> all of the issues on the table such that we can explore the tradeoffs
> between various aspects of the problem.    The doc isn't done, but I
> don't have any time for it in the near future.
>
> This document is publicly visible and has public comment permission.
> Comment by highlighting a passage and right clicking (control-click?)
> to get a menu and select comment.
>
> If people are interested in editing, I can turn on write permissions.
>
> Example ConEx credit and audit algorithms -
> https://docs.google.com/document/d/1bwGKLGEcleHy2LvnfVFWIX_Qc3ZioDf1EpzgBuj
>Lm1g/edit
>
> Thanks,
> --MM--
> _______________________________________________
> conex mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/conex

-- 
-------------------------------------------------------------------
Dipl.-Ing. Mirja Kühlewind
Institute of Communication Networks and Computer Engineering (IKR)
University of Stuttgart, Germany
Pfaffenwaldring 47, D-70569 Stuttgart

tel: +49(0)711/685-67973
email: [email-masked]
web: www.ikr.uni-stuttgart.de
-------------------------------------------------------------------